pydo.apps.list_job_invocations()
Generated on 3 Aug 2026
from pydo version
v0.40.0
Usage
client.apps.list_job_invocations(
app_id="4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cf",
job_names=None,
deployment_id=None,
page=1,
per_page=20,
)Description
List all job invocations for an app.
Parameters
app_idstring requiredThe app ID
job_namesarray of strings optionalThe job names to list job invocations for.
deployment_idstring optionalThe deployment ID
pageinteger optionalWhich 'page' of paginated results to return.
per_pageinteger optionalNumber of items returned per page
Request Sample
Pagination
This method returns paginated results. The response includes a
links.pages object with URLs for navigating between pages. To
retrieve the next page, parse the next URL and pass the page
parameter:
from urllib.parse import urlparse, parse_qs
resp = client.apps.list_job_invocations(app_id="4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cf", )
pages = resp.get("links", {}).get("pages", {})
while "next" in pages:
parsed = urlparse(pages["next"])
page = int(parse_qs(parsed.query)["page"][0])
resp = client.apps.list_job_invocations(app_id="4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cf", page=page)
pages = resp.get("links", {}).get("pages", {})Response Example
More Information
See /v2/apps/{app_id}/job-invocations in the API reference for additional detail on responses, headers, parameters, and more.